maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antoine Lochet (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MECLIPSE-558) Ignoring listed AspectJ dependencies
Date Wed, 03 Jun 2009 09:04:42 GMT

    [ http://jira.codehaus.org/browse/MECLIPSE-558?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=179129#action_179129
] 

Antoine Lochet commented on MECLIPSE-558:
-----------------------------------------

Works great here too.
Thanks for the tip!

> Ignoring listed AspectJ dependencies
> ------------------------------------
>
>                 Key: MECLIPSE-558
>                 URL: http://jira.codehaus.org/browse/MECLIPSE-558
>             Project: Maven 2.x Eclipse Plugin
>          Issue Type: Bug
>          Components: AJDT support
>    Affects Versions: 2.6, 2.7
>            Reporter: Dale Peakall
>
> When AJDT support is enabled, the plugin ignores any dependencies that include the term
"aspectj" in the artifactId: these include aspectjrt.jar, aspectjweaver.jar and aspectjtools.jar.
 Instead the project gets created with a link to the AspectJ Runtime Library "Folder" which
just contains aspectjrt.jar.  However, if the project depends on the other AspectJ artifacts,
e.g. aspectjweaver.jar (because it uses load-time-weaving) it is broken and no amount of POM
tweaking will get it back in there.
> Using the <ajdtVersion>none</ajdtVersion> is fine if the project doesn't
include any aspects - but if it does it needs AJDT to compile the aspect - but also needs
the other AspectJ artifacts (that were specified in the POM) to run Unit Tests etc.
> At a minimum the plugin should be modified to only replace aspectjrt.  However, I am
generally uncomfortable with the whole replacement concept.  As long as projects specify the
appropriate dependencies then AJDT will be able to compile and run the project (i.e. the special
"AspectJ Runtime Library" folder is not required).  This will also ensure that a consistent
version of AspectJ is used (the version provided by Eclipse need not be the same as specified
in the POM).

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message